Package org.eclipse.m2m.atl.profiler.exportmodel.impl

## Class ExportElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.profiler.exportmodel.impl.ExportElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ExportElement`

Direct Known Subclasses:
  `AtlOperationExportImpl`, `ProfilingOperationExportImpl`

    public class ExportElementImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements ExportElement

An implementation of the model object 'Export Element'.

The following features are implemented:

- `Name`
- `Tim Execution`
- `Instructions`
- `Begin Memory`
- `Max Memory`
- `End Memory`
- `Total Time Execution Percent`
- `Total Instructions Percent`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static long` `BEGIN_MEMORY_EDEFAULT` The default value of the '`Begin Memory`' attribute.
`protected long` `beginMemory` The cached value of the '`Begin Memory`' attribute.
`protected static long` `END_MEMORY_EDEFAULT` The default value of the '`End Memory`' attribute.
`protected long` `endMemory` The cached value of the '`End Memory`' attribute.
`protected long` `instructions` The cached value of the '`Instructions`' attribute.
`protected static long` `INSTRUCTIONS_EDEFAULT` The default value of the '`Instructions`' attribute.
`protected static long` `MAX_MEMORY_EDEFAULT` The default value of the '`Max Memory`' attribute.
`protected long` `maxMemory` The cached value of the '`Max Memory`' attribute.
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected static double` `TIM_EXECUTION_EDEFAULT` The default value of the '`Tim Execution`' attribute.
`protected double` `timExecution` The cached value of the '`Tim Execution`' attribute.
`protected static java.lang.String` `TOTAL_INSTRUCTIONS_PERCENT_EDEFAULT` The default value of the '`Total Instructions Percent`' attribute.
`protected static java.lang.String` `TOTAL_TIME_EXECUTION_PERCENT_EDEFAULT` The default value of the '`Total Time Execution Percent`' attribute.
`protected java.lang.String` `totalInstructionsPercent` The cached value of the '`Total Instructions Percent`' attribute.
`protected java.lang.String` `totalTimeExecutionPercent` The cached value of the '`Total Time Execution Percent`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ExportElementImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`long` `getBeginMemory()`
`long` `getEndMemory()`
`long` `getInstructions()`
`long` `getMaxMemory()`
`java.lang.String` `getName()`
`double` `getTimExecution()`
`java.lang.String` `getTotalInstructionsPercent()`
`java.lang.String` `getTotalTimeExecutionPercent()`
`void` `setBeginMemory​(long newBeginMemory)`
`void` `setEndMemory​(long newEndMemory)`
`void` `setInstructions​(long newInstructions)`
`void` `setMaxMemory​(long newMaxMemory)`
`void` `setName​(java.lang.String newName)`
`void` `setTimExecution​(double newTimExecution)`
`void` `setTotalInstructionsPercent​(java.lang.String newTotalInstructionsPercent)`
`void` `setTotalTimeExecutionPercent​(java.lang.String newTotalTimeExecutionPercent)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

The default value of the '`Name`' attribute.

See Also:
  `getName()`

#### name

    protected java.lang.String name

The cached value of the '`Name`' attribute.

See Also:
  `getName()`

#### TIM_EXECUTION_EDEFAULT

    protected static final double TIM_EXECUTION_EDEFAULT

The default value of the '`Tim Execution`' attribute.

See Also:
  `getTimExecution()`, Constant Field Values

#### timExecution

    protected double timExecution

The cached value of the '`Tim Execution`' attribute.

See Also:
  `getTimExecution()`

#### INSTRUCTIONS_EDEFAULT

    protected static final long INSTRUCTIONS_EDEFAULT

The default value of the '`Instructions`' attribute.

See Also:
  `getInstructions()`, Constant Field Values

#### instructions

    protected long instructions

The cached value of the '`Instructions`' attribute.

See Also:
  `getInstructions()`

#### BEGIN_MEMORY_EDEFAULT

    protected static final long BEGIN_MEMORY_EDEFAULT

The default value of the '`Begin Memory`' attribute.

See Also:
  `getBeginMemory()`, Constant Field Values

#### beginMemory

    protected long beginMemory

The cached value of the '`Begin Memory`' attribute.

See Also:
  `getBeginMemory()`

#### MAX_MEMORY_EDEFAULT

    protected static final long MAX_MEMORY_EDEFAULT

The default value of the '`Max Memory`' attribute.

See Also:
  `getMaxMemory()`, Constant Field Values

#### maxMemory

    protected long maxMemory

The cached value of the '`Max Memory`' attribute.

See Also:
  `getMaxMemory()`

#### END_MEMORY_EDEFAULT

    protected static final long END_MEMORY_EDEFAULT

The default value of the '`End Memory`' attribute.

See Also:
  `getEndMemory()`, Constant Field Values

#### endMemory

    protected long endMemory

The cached value of the '`End Memory`' attribute.

See Also:
  `getEndMemory()`

#### TOTAL_TIME_EXECUTION_PERCENT_EDEFAULT

    protected static final java.lang.String TOTAL_TIME_EXECUTION_PERCENT_EDEFAULT

The default value of the '`Total Time Execution Percent`' attribute.

See Also:
  `getTotalTimeExecutionPercent()`

#### totalTimeExecutionPercent

    protected java.lang.String totalTimeExecutionPercent

The cached value of the '`Total Time Execution Percent`' attribute.

See Also:
  `getTotalTimeExecutionPercent()`

#### TOTAL_INSTRUCTIONS_PERCENT_EDEFAULT

    protected static final java.lang.String TOTAL_INSTRUCTIONS_PERCENT_EDEFAULT

The default value of the '`Total Instructions Percent`' attribute.

See Also:
  `getTotalInstructionsPercent()`

#### totalInstructionsPercent

    protected java.lang.String totalInstructionsPercent

The cached value of the '`Total Instructions Percent`' attribute.

See Also:
  `getTotalInstructionsPercent()`

### Constructor Detail

#### ExportElementImpl

    protected ExportElementImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ExportElement`
Returns:
  the value of the 'Name' attribute.
See Also:
  `ExportElement.setName(String)`, `ExportmodelPackage.getExportElement_Name()`

#### setName

    public void setName​(java.lang.String newName)

Specified by:
  `setName` in interface `ExportElement`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `ExportElement.getName()`

#### getTimExecution

    public double getTimExecution()

Specified by:
  `getTimExecution` in interface `ExportElement`
Returns:
  the value of the 'Tim Execution' attribute.
See Also:
  `ExportElement.setTimExecution(double)`, `ExportmodelPackage.getExportElement_TimExecution()`

#### setTimExecution

    public void setTimExecution​(double newTimExecution)

Specified by:
  `setTimExecution` in interface `ExportElement`
Parameters:
  `newTimExecution` - the new value of the 'Tim Execution' attribute.
See Also:
  `ExportElement.getTimExecution()`

#### getInstructions

    public long getInstructions()

Specified by:
  `getInstructions` in interface `ExportElement`
Returns:
  the value of the 'Instructions' attribute.
See Also:
  `ExportElement.setInstructions(long)`, `ExportmodelPackage.getExportElement_Instructions()`

#### setInstructions

    public void setInstructions​(long newInstructions)

Specified by:
  `setInstructions` in interface `ExportElement`
Parameters:
  `newInstructions` - the new value of the 'Instructions' attribute.
See Also:
  `ExportElement.getInstructions()`

#### getBeginMemory

    public long getBeginMemory()

Specified by:
  `getBeginMemory` in interface `ExportElement`
Returns:
  the value of the 'Begin Memory' attribute.
See Also:
  `ExportElement.setBeginMemory(long)`, `ExportmodelPackage.getExportElement_BeginMemory()`

#### setBeginMemory

    public void setBeginMemory​(long newBeginMemory)

Specified by:
  `setBeginMemory` in interface `ExportElement`
Parameters:
  `newBeginMemory` - the new value of the 'Begin Memory' attribute.
See Also:
  `ExportElement.getBeginMemory()`

#### getMaxMemory

    public long getMaxMemory()

Specified by:
  `getMaxMemory` in interface `ExportElement`
Returns:
  the value of the 'Max Memory' attribute.
See Also:
  `ExportElement.setMaxMemory(long)`, `ExportmodelPackage.getExportElement_MaxMemory()`

#### setMaxMemory

    public void setMaxMemory​(long newMaxMemory)

Specified by:
  `setMaxMemory` in interface `ExportElement`
Parameters:
  `newMaxMemory` - the new value of the 'Max Memory' attribute.
See Also:
  `ExportElement.getMaxMemory()`

#### getEndMemory

    public long getEndMemory()

Specified by:
  `getEndMemory` in interface `ExportElement`
Returns:
  the value of the 'End Memory' attribute.
See Also:
  `ExportElement.setEndMemory(long)`, `ExportmodelPackage.getExportElement_EndMemory()`

#### setEndMemory

    public void setEndMemory​(long newEndMemory)

Specified by:
  `setEndMemory` in interface `ExportElement`
Parameters:
  `newEndMemory` - the new value of the 'End Memory' attribute.
See Also:
  `ExportElement.getEndMemory()`

#### getTotalTimeExecutionPercent

    public java.lang.String getTotalTimeExecutionPercent()

Specified by:
  `getTotalTimeExecutionPercent` in interface `ExportElement`
Returns:
  the value of the 'Total Time Execution Percent' attribute.
See Also:
  `ExportElement.setTotalTimeExecutionPercent(String)`, `ExportmodelPackage.getExportElement_TotalTimeExecutionPercent()`

#### setTotalTimeExecutionPercent

    public void setTotalTimeExecutionPercent​(java.lang.String newTotalTimeExecutionPercent)

Specified by:
  `setTotalTimeExecutionPercent` in interface `ExportElement`
Parameters:
  `newTotalTimeExecutionPercent` - the new value of the 'Total Time Execution Percent' attribute.
See Also:
  `ExportElement.getTotalTimeExecutionPercent()`

#### getTotalInstructionsPercent

    public java.lang.String getTotalInstructionsPercent()

Specified by:
  `getTotalInstructionsPercent` in interface `ExportElement`
Returns:
  the value of the 'Total Instructions Percent' attribute.
See Also:
  `ExportElement.setTotalInstructionsPercent(String)`, `ExportmodelPackage.getExportElement_TotalInstructionsPercent()`

#### setTotalInstructionsPercent

    public void setTotalInstructionsPercent​(java.lang.String newTotalInstructionsPercent)

Specified by:
  `setTotalInstructionsPercent` in interface `ExportElement`
Parameters:
  `newTotalInstructionsPercent` - the new value of the 'Total Instructions Percent' attribute.
See Also:
  `ExportElement.getTotalInstructionsPercent()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`